std::recursive_timed_mutex Class Reference
Concurrency » Mutexes

`#include <mutex>`

## Public Member Functions

| recursive_timed_mutex (const recursive_timed_mutex &)=delete
void | lock ()
recursive_timed_mutex & | operator= (const recursive_timed_mutex &)=delete
bool | try_lock ()
template<typename _Rep , typename _Period >
bool | try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
bool | try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void | unlock ()

## Detailed Description

recursive_timed_mutex

Definition at line 410 of file mutex.

## Constructor & Destructor Documentation

## ~recursive_timed_mutex()

std::recursive_timed_mutex::~recursive_timed_mutex | ( |  | ) |

inline

Definition at line 432 of file mutex.

## Member Function Documentation

## lock()

void std::recursive_timed_mutex::lock | ( |  | ) |

inline

Definition at line 438 of file mutex.

## try_lock()

bool std::recursive_timed_mutex::try_lock | ( |  | ) |

inline

Definition at line 451 of file mutex.

## try_lock_for()

template<typename _Rep , typename _Period >

bool std::recursive_timed_mutex::try_lock_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |

inline

Definition at line 467 of file mutex.

## try_lock_until()

template<typename _Clock , typename _Duration >

bool std::recursive_timed_mutex::try_lock_until | ( | const chrono::time_point< _Clock, _Duration > & | __atime | ) |

inline

Definition at line 483 of file mutex.

## unlock()

void std::recursive_timed_mutex::unlock | ( |  | ) |

inline

Definition at line 498 of file mutex.

The documentation for this class was generated from the following file:

- mutex